package com.ruoyi.system.service;

import com.ruoyi.system.entity.CommonEntity;
import com.ruoyi.system.entity.DragTableCondition;

import java.util.List;

/**
 * 动态格条件Service接口
 * 
 * @author ruoyi
 * @date 2023-07-31
 */
public interface IDragTableConditionService 
{

    /**
     * 查询动态格条件列表
     */
    List<CommonEntity> selectDragTableConditionList(CommonEntity commonEntity);

    /**
     * 新增动态格条件
     */
    int insertDragTableCondition(CommonEntity commonEntity);

    /**
     * 修改动态格条件
     */
    int updateDragTableCondition(CommonEntity commonEntity);

    /**
     * 批量删除动态格条件
     */
    int deleteDragTableConditionByTcIds(CommonEntity commonEntity);

}
